Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/test/DrawTSSVG.java
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/test/DrawTSSVG.java	(revision 3880)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/test/DrawTSSVG.java	(revision 3881)
@@ -12,12 +12,12 @@
 
 public class DrawTSSVG {
 
-	String userhome = System.getProperty("user.home");
-	File configdir = new File(userhome,"TXM/corpora/graal/tiger/tigersearch.logprop");
-	File registrydir = new File(userhome, "TXM/corpora/graal/tiger");
-	File svgfile = new File(registrydir, "result.svg");
-	String id = "GRAAL";
-	String query = "#n:[cat = \"Obj\"] >* #m & arity(#n, 2, 10)";
+	String userhome = System.getProperty("user.home"); //$NON-NLS-1$
+	File configdir = new File(userhome,"TXM/corpora/graal/tiger/tigersearch.logprop"); //$NON-NLS-1$
+	File registrydir = new File(userhome, "TXM/corpora/graal/tiger"); //$NON-NLS-1$
+	File svgfile = new File(registrydir, "result.svg"); //$NON-NLS-1$
+	String id = "GRAAL"; //$NON-NLS-1$
+	String query = "#n:[cat = \"Obj\"] >* #m & arity(#n, 2, 10)"; //$NON-NLS-1$
 	//String query = "[]";
 
 	public void test() throws Exception {
@@ -33,19 +33,19 @@
 
 			TSResult result = corpus.query(query);
 
-			result.setDisplayProperties(new ArrayList<>(Arrays.asList("word", "pos", "form")), "type");
+			result.setDisplayProperties(new ArrayList<>(Arrays.asList("word", "pos", "form")), "type"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 
 			TSMatch first = result.getFirst();
-			System.out.println("First: nb of sub graph: "+first.getNumberOfSubGraph());
+			System.out.println("First: nb of sub graph: "+first.getNumberOfSubGraph()); //$NON-NLS-1$
 			first.firstSubGraph();
-			first.toSVGFile(new File(registrydir,"result_1_1.svg"));
-			System.out.println(first.toHTML() + "<br>");
+			first.toSVGFile(new File(registrydir,"result_1_1.svg")); //$NON-NLS-1$
+			System.out.println(first.toHTML() + "<br>"); //$NON-NLS-1$
 			first.nextSubGraph();
-			first.toSVGFile(new File(registrydir,"result_1_2.svg"));
-			System.out.println(first.toHTML() + "<br>");
+			first.toSVGFile(new File(registrydir,"result_1_2.svg")); //$NON-NLS-1$
+			System.out.println(first.toHTML() + "<br>"); //$NON-NLS-1$
 			first.nextSubGraph();
-			first.toSVGFile(new File(registrydir,"result_1_3.svg"));
-			System.out.println(first.toHTML() + "<br>");
+			first.toSVGFile(new File(registrydir,"result_1_3.svg")); //$NON-NLS-1$
+			System.out.println(first.toHTML() + "<br>"); //$NON-NLS-1$
 
 //			TSMatch next = result.getNext();
 //			System.out.println( "Next: nb of sub graph: "+next.getNumberOfSubGraph());
Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/IndexExtension.java
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/IndexExtension.java	(revision 3880)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/IndexExtension.java	(revision 3881)
@@ -12,7 +12,7 @@
 
 	@Override
 	public String getName() {
-		return "TIGERSearch";
+		return "TIGERSearch"; //$NON-NLS-1$
 	}
 
 	@Override
Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERImportSectionConfigurator.java
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERImportSectionConfigurator.java	(revision 3880)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERImportSectionConfigurator.java	(revision 3881)
@@ -10,6 +10,6 @@
 	@Override
 	public void installSections() {
 		
-		ImportModuleCustomization.addAdditionalSections("tigersearch", TIGERSection.class);
+		ImportModuleCustomization.addAdditionalSections("tigersearch", TIGERSection.class); //$NON-NLS-1$
 	}
 }
Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERSection.java	(revision 3880)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERSection.java	(revision 3881)
@@ -31,7 +31,7 @@
 	 */
 	public TIGERSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		
-		super(editor, toolkit2, form2, parent, style, "TIGERSearch");
+		super(editor, toolkit2, form2, parent, style, "TIGERSearch"); //$NON-NLS-1$
 		
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
@@ -72,7 +72,7 @@
 		if (this.section.isDisposed()) return;
 		if (project == null) return;
 		
-		Preferences customNode = project.getImportParameters().node("tigersearch");
+		Preferences customNode = project.getImportParameters().node("tigersearch"); //$NON-NLS-1$
 //		createPagesForSectionsButton.setSelection(customNode.getBoolean("create_section_pages", true)); //$NON-NLS-1$
 //		indexTranscriberMetadataButton.setSelection(customNode.getBoolean("ignoreTranscriberMetadata", true)); //$NON-NLS-1$
 	}
@@ -81,7 +81,7 @@
 	public boolean saveFields(Project project) {
 		if (this.section != null && !this.section.isDisposed()) {
 			
-			Preferences customNode = project.getImportParameters().node("tigersearch");
+			Preferences customNode = project.getImportParameters().node("tigersearch"); //$NON-NLS-1$
 //			customNode.putBoolean("create_section_pages", createPagesForSectionsButton.getSelection()); //$NON-NLS-1$
 //			customNode.putBoolean("ignoreTranscriberMetadata", indexTranscriberMetadataButton.getSelection()); //$NON-NLS-1$
 		}
Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/InstallGroovyTIGERFiles.java
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/InstallGroovyTIGERFiles.java	(revision 3880)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/InstallGroovyTIGERFiles.java	(revision 3881)
@@ -22,20 +22,20 @@
 		for (String folder : createfolders) {
 			new File(txmhomedir, folder).mkdirs();
 		}
-		File scriptsDirectory = new File(txmhomedir, "scripts/groovy");
-		File userDirectory = new File(scriptsDirectory, "user");
-		File systemDirectory = new File(scriptsDirectory, "system");
+		File scriptsDirectory = new File(txmhomedir, "scripts/groovy"); //$NON-NLS-1$
+		File userDirectory = new File(scriptsDirectory, "user"); //$NON-NLS-1$
+		File systemDirectory = new File(scriptsDirectory, "system"); //$NON-NLS-1$
 		
-		String bundle_id = "org.txm.tigersearch.rcp";
+		String bundle_id = "org.txm.tigersearch.rcp"; //$NON-NLS-1$
 		
 		// IMPORT MODULE SCRIPTS
 		
-		File scriptsPackageDirectory = new File(userDirectory, "org/txm/scripts/importer");
-		File scriptsPackageDirectory2 = new File(systemDirectory, "org/txm/scripts/importer");
+		File scriptsPackageDirectory = new File(userDirectory, "org/txm/scripts/importer"); //$NON-NLS-1$
+		File scriptsPackageDirectory2 = new File(systemDirectory, "org/txm/scripts/importer"); //$NON-NLS-1$
 		
-		File tigerDirectory = new File(scriptsPackageDirectory, "tigersearch");
+		File tigerDirectory = new File(scriptsPackageDirectory, "tigersearch"); //$NON-NLS-1$
 		if (tigerDirectory.exists()) {
-			File backDirectory = new File(tigerDirectory.getParentFile(), "tigersearch-"+Toolbox.dateformat.format(Calendar.getInstance().getTime()));
+			File backDirectory = new File(tigerDirectory.getParentFile(), "tigersearch-"+Toolbox.dateformat.format(Calendar.getInstance().getTime())); //$NON-NLS-1$
 			//System.out.println("Making a copy of previous TIGER import scripts directory: "+tigerDirectory+" to "+backDirectory);
 			tigerDirectory.renameTo(backDirectory);
 			DeleteDir.deleteDirectory(tigerDirectory);
@@ -43,12 +43,12 @@
 		
 		scriptsPackageDirectory.mkdirs();
 		scriptsPackageDirectory2.mkdirs();
-		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/scripts/importer", "", scriptsPackageDirectory, true);
-		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/scripts/importer", "", scriptsPackageDirectory2, true);
+		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/scripts/importer", "", scriptsPackageDirectory, true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/scripts/importer", "", scriptsPackageDirectory2, true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		
 		// MACROS
-		File macrosPackageDirectory = new File(userDirectory, "org/txm/macro/tiger");
-		File macrosPackageDirectory2 = new File(systemDirectory, "org/txm/macro/tiger");
+		File macrosPackageDirectory = new File(userDirectory, "org/txm/macro/tiger"); //$NON-NLS-1$
+		File macrosPackageDirectory2 = new File(systemDirectory, "org/txm/macro/tiger"); //$NON-NLS-1$
 		
 		if (macrosPackageDirectory.exists()) {
 //			File backDirectory = new File(scriptsPackageDirectory.getParentFile(), "tiger-"+Toolbox.dateformat.format(Calendar.getInstance().getTime()));
@@ -62,15 +62,15 @@
 		
 		macrosPackageDirectory.mkdirs();
 		macrosPackageDirectory2.mkdirs();
-		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/macro/tiger", "", macrosPackageDirectory, true);
-		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/macro/tiger", "", macrosPackageDirectory2, true);
+		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/macro/tiger", "", macrosPackageDirectory, true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/macro/tiger", "", macrosPackageDirectory2, true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		
 		return macrosPackageDirectory.exists();
 	}
 
 	@Override
 	public String getName() {
-		return "TIGERSearch (org.txm.tigersearch.rcp)";
+		return "TIGERSearch (org.txm.tigersearch.rcp)"; //$NON-NLS-1$
 	}
 	
 	@Override
Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/TSMacrosMenuContribution.java
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/TSMacrosMenuContribution.java	(revision 3880)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/TSMacrosMenuContribution.java	(revision 3881)
@@ -12,6 +12,6 @@
 		String w = Toolbox.getTxmHomePath();
 		if (w == null || w.length() == 0) return null;
 		
-		return new File(w, "scripts/groovy/user/org/txm/macro/tiger");
+		return new File(w, "scripts/groovy/user/org/txm/macro/tiger"); //$NON-NLS-1$
 	}
 }
Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/preferences/TigerSearchPreferencePage.java
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/preferences/TigerSearchPreferencePage.java	(revision 3880)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/preferences/TigerSearchPreferencePage.java	(revision 3881)
@@ -34,6 +34,6 @@
 		
 		this.setPreferenceStore(new TXMPreferenceStore(TigerSearchPreferences.getInstance().getPreferencesNodeQualifier()));
 		
-		this.setImageDescriptor(IImageKeys.getImageDescriptor(this.getClass(), "icons/functions/TS.png"));
+		this.setImageDescriptor(IImageKeys.getImageDescriptor(this.getClass(), "icons/functions/TS.png")); //$NON-NLS-1$
 	}
 }
\ No newline at end of file
Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/preferences/TigerSearchTreePreferencePage.java
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/preferences/TigerSearchTreePreferencePage.java	(revision 3880)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/preferences/TigerSearchTreePreferencePage.java	(revision 3881)
@@ -36,6 +36,6 @@
 	public void init(IWorkbench workbench) {
 		
 		this.setPreferenceStore(new TXMPreferenceStore(TigerSearchTreePreferences.getInstance().getPreferencesNodeQualifier()));
-		this.setImageDescriptor(IImageKeys.getImageDescriptor(this.getClass(), "icons/functions/TS.png"));
+		this.setImageDescriptor(IImageKeys.getImageDescriptor(this.getClass(), "icons/functions/TS.png")); //$NON-NLS-1$
 	}
 }
\ No newline at end of file
